Closed Bug 1432174 Opened 2 years ago Closed 2 years ago

Allow ASAN fuzzing builds to use legacy and unsigned addons

Categories

(Firefox Build System :: General, enhancement)

enhancement
Not set

Tracking

(firefox59 fixed, firefox60 fixed)

RESOLVED FIXED
mozilla60
Tracking Status
firefox59 --- fixed
firefox60 --- fixed

People

(Reporter: RyanVM, Assigned: RyanVM)

Details

Attachments

(1 file)

QA recently ran into issues verifying a number of security bugs on Fx58 due there currently not being any ASAN-enabled builds that support the FuzzPriv extension on mozilla-beta and mozilla-release.

I created builds on Try for them to work around the issue for now, but we should have a better long-term option. Adding those options to the already-existing ASAN fuzzing builds makes the most sense to me and decoder agreed on IRC that there doesn't seem to be any real downside to doing that.
Attached patch patchSplinter Review
Shamelessly stolen from the add-on-devel mozconfig.
Attachment #8944731 - Flags: review?(core-build-config-reviews)
Attachment #8944731 - Flags: review?(core-build-config-reviews) → review+
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ba13ada04e71
Allow ASAN fuzzing builds to use legacy and unsigned addons. r=froydnj
https://hg.mozilla.org/mozilla-central/rev/ba13ada04e71
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla60
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.